com.aventstack.extentreports.reporter.configuration

## Class BasicConfiguration

- java.lang.Object
- - com.aventstack.extentreports.reporter.configuration.BasicConfiguration

- Direct Known Subclasses:
    BasicFileConfiguration

      public abstract class BasicConfiguration
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Status>` | `levels`
    `protected String` | `reportName`
    `protected String` | `timeStampFormat`
    `protected Map<String,String>` | `usedConfigs`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BasicConfiguration()`
    `protected` | `BasicConfiguration(AbstractReporter reporter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getConfigMap()`
    `List<Status>` | `getLevel()`
    `protected AbstractReporter` | `getReporter()`
    `String` | `getReportName()`
    `String` | `getTimeStampFormat()` Gets the timestamp format
    `void` | `setLevel(Status... level)`
    `void` | `setReportName(String reportName)`
    `void` | `setTimeStampFormat(String timeStampFormat)` Sets the timestamp format

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### levels

          protected List<Status> levels

    - #### reportName

          protected String reportName

    - #### timeStampFormat

          protected String timeStampFormat

    - #### usedConfigs

          protected Map<String,String> usedConfigs

  - ### Constructor Detail

    - #### BasicConfiguration

          protected BasicConfiguration()

    - #### BasicConfiguration

          protected BasicConfiguration(AbstractReporter reporter)

  - ### Method Detail

    - #### getReporter

          protected AbstractReporter getReporter()

    - #### getConfigMap

          public Map<String,String> getConfigMap()

    - #### setLevel

          public void setLevel(Status... level)

    - #### getLevel

          public List<Status> getLevel()

    - #### getTimeStampFormat

          public String getTimeStampFormat()

      Gets the timestamp format
      Returns:
        The time stamp format

    - #### setTimeStampFormat

          public void setTimeStampFormat(String timeStampFormat)

      Sets the timestamp format
      Parameters:
        `timeStampFormat` - The desired time stamp format See http://freemarker.org/docs/ref_builtins_date.html#ref_builtin_string_for_date

    - #### setReportName

          public void setReportName(String reportName)

    - #### getReportName

          public String getReportName()

Copyright © 2018. All rights reserved.